Spree Seller SDK
List team members
The people who run this seller.
Rooted at the acting seller throughout, so a seller only ever sees their own team. Unpaginated — a seller’s team is small by nature.
GET
Spree Seller SDK
Documentation Index
Fetch the complete documentation index at: /docs/llms.txt
Use this file to discover all available pages before exploring further.
import { createSellerClient } from '@spree/seller-sdk'
const client = createSellerClient({
baseUrl: 'https://your-store.com',
jwtToken: 'eyJhbGciOi...',
sellerId: 'sel_UkLWZg9DAJ',
})
const { data: members } = await client.team.list()curl --request GET \
--url http://{defaultHost}/api/v3/seller/team \
--header 'Authorization: Bearer <token>' \
--header 'X-Spree-Seller-Id: <x-spree-seller-id>'{
"data": [
{
"id": "adm_UkLWZg9DAJ",
"email": "twyla_haley@nikolaus.ca",
"first_name": "Bill",
"last_name": "Towne",
"full_name": "Bill Towne",
"created_at": "2026-01-15T12:00:00.000Z",
"avatar_url": null
}
]
}The people who run this seller.
Rooted at the acting seller throughout, so a seller only ever sees their own team. Unpaginated — a seller’s team is small by nature.
import { createSellerClient } from '@spree/seller-sdk'
const client = createSellerClient({
baseUrl: 'https://your-store.com',
jwtToken: 'eyJhbGciOi...',
sellerId: 'sel_UkLWZg9DAJ',
})
const { data: members } = await client.team.list()curl --request GET \
--url http://{defaultHost}/api/v3/seller/team \
--header 'Authorization: Bearer <token>' \
--header 'X-Spree-Seller-Id: <x-spree-seller-id>'{
"data": [
{
"id": "adm_UkLWZg9DAJ",
"email": "twyla_haley@nikolaus.ca",
"first_name": "Bill",
"last_name": "Towne",
"full_name": "Bill Towne",
"created_at": "2026-01-15T12:00:00.000Z",
"avatar_url": null
}
]
}Was this page helpful?
